import { XmlNamespaceDefinitionBase } from "./XmlNamespaceDefinitionBase";
import { ST_ConformanceClass } from "./ST_ConformanceClass";
import { XmlPartManagerBase } from "./XmlPartManagerBase";
import { Type } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class Excel2006Main extends XmlNamespaceDefinitionBase {
    static $t: Type;
    static readonly aq: string;
    static readonly ap: string;
    static readonly ar: string;
    static readonly an: Excel2006Main;
    constructor();
    i(a: ST_ConformanceClass): string;
    protected get_j(): string;
    readonly j: string;
    static as(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static au(a: XmlPartManagerBase, b: string): void;
    static at(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static av(a: XmlPartManagerBase, b: string): void;
}
